Summary: Wnn6 Client Library
Name: Wnn6-SDK
Version: 1.0
Release: 10
Copyright: OMRON Corporation, OMRON Software Co., Ltd.
Group: System Environment/Libraries
URL: http://www.omronsoft.co.jp/SP/pcunix/wnn/
Prereq: fileutils
Source: ftp://ftp.omronsoft.co.jp/pub/Wnn6/sdk_source/%{name}-sources.tar.gz
Patch0: Wnn6-SDK.config.patch
Patch1: wnn6-sdk_incl.patch
Patch2: wnn6-sdk_shared.patch
Patch3: wnn6-sdk_malloc.patch
Patch4: Wnn6-SDK.static.patch
Patch5: Wnn6-SDK.nonroot.patch
Patch6: wnn6-sdk-cpp_workaround.patch
Patch7: Wnn6-SDK-1.0.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%package devel
Summary: development library and header file for Wnn6
Group: Development/Libraries

%description devel
This package contains header files and libraries for Wnn6
client developments.

%prep
%setup -q -n src
cd contrib/im/Xsi
%patch0 -p4
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
cd Wnn/jlib
%patch7 -p0

%{__rm} -fr ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_prefix}/X11R6
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_prefix}/X11R6/bin
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_prefix}/X11R6/man/man1

%build
cd contrib/im/Xsi
make World -f Makefile.ini

%install
cd contrib/im/Xsi
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
%{__rm} -fr ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc contrib/im/Xsi/README
#%dir /var/lib/wnn6/
#%dir /var/lib/wnn6/ja_JP/
%{_prefix}/lib/libwnn6.so.1.0.0
%{_prefix}/lib/libwnn6.so.1.0

%files devel
%defattr(-,root,root)
%{_libdir}/libwnn6.a
%{_libdir}/libwnn6.so
%{_includedir}/wnn6/

%post
/sbin/ldconfig
test -e /var/lib/wnn6 || %{__ln_s} /usr/local/OMRONWnn6/wnn6linux /var/lib/wnn6
exit 0

%postun
/sbin/ldconfig
%{__rm} /var/lib/wnn6

%changelog
* Sun Feb 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not create symlink if it already exists (why is this symlink
  not part of the normal filelist?)

* Tue Feb  6 2001 Adrian Havill <havill@redhat.com>
- spec file needs fileutils prerequisite

* Sun Jan 28 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add a "exit 0" to the post script

* Tue Dec 19 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Thu Aug  3 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt for 7.0
- make depend dones not work correctly(Is this cpp bug?),
  So, add wnn6-sdk-cpp_workaround.patch added (very ad-hoc
  solution :-<)
 
* Tue Mar 21 2000 Chris Ding <cding@redhat.com>
- added %defattr
- /var/lib/wnn6 -> /usr/local/OMRONWnn6/wnn6linux
- changed group

* Tue Oct 12 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1
- removed test to see if building as root - we never want to chown

* Sat Jun 26 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 2nd Release for i386 (glibc2.1).
- Original Packager: Atsushi Yamagata <yamagata@plathome.co.jp>

* Wed Jan 27 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- change installed directories and name of the library
- added Prefix tag

* Mon Nov 10 1998 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- 1st release
